# FileSet.Exclude

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | string | The pattern or file name to exclude. | True
if | bool | If true then the pattern will be excluded; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the pattern will be excluded; otherwise, skipped. The default is false. | False

### Requirements

Assembly: NAnt.Core (0.90.3780.0)